> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Transfer SPL token to another wallet



## OpenAPI

````yaml /openapi.json post /api/v1/solana/transfer-token
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/solana/transfer-token:
    post:
      tags:
        - Solana Wallet
      summary: Transfer SPL token to another wallet
      operationId: SolanaController_sendToken
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransferTokenDto'
      responses:
        '400':
          description: Insufficient balance
        '500':
          description: Internal server error
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SignatureResponseDto'
      security:
        - bearer: []
        - api-key: []
components:
  schemas:
    TransferTokenDto:
      type: object
      properties:
        to:
          type: string
          description: Recipient wallet address
          example: 5AH3qo1v1EZfT3QKQpSsx1F8W5JyGEVZPcD5DzkX1N1d
        tokenMintAddress:
          type: string
          description: SPL token mint address
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        amount:
          type: string
          description: Amount of tokens to send
          example: '100'
        network:
          type: string
          enum:
            - mainnet-beta
            - devnet
            - testnet
          description: Solana network to use
          default: mainnet-beta
      required:
        - to
        - tokenMintAddress
        - amount
    SignatureResponseDto:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        data:
          $ref: '#/components/schemas/SignatureDto'
        errors:
          type: object
      required:
        - statusCode
        - message
        - data
        - errors
    SignatureDto:
      type: object
      properties:
        signature:
          type: string
      required:
        - signature
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````